Skip to main content
`Ctrl`+`K`

# PetscExpScalar

Returns the exponential \(e^a\) of a `PetscScalar` value

## Synopsis

    #include <petscmath.h>
    PetscScalar PetscExpScalar(PetscScalar a)

Not Collective; No Fortran Support

## Input Parameter

. a - the value

## See Also

`PetscReal`, `PetscScalar`, `PetscComplex`, `PetscExpReal()`, `PetscExpComplex()`

## Level

beginner

## Location

include/petscmath.h

## Examples

src/snes/tutorials/ex99.c
src/snes/tutorials/ex28.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages